PUT /api/v202104/batch/{batchId}/distributeAccountCharges

For each bill in the provided batch which has account-level charges, distribute these account charges amongst the meters on the bill. This is done proportionally by meter use or cost, depending on the split basis. Maximum of 10000 bills can be processed at one time.

DistributeAccountChargesToMetersForBillsInBatchV202104 Permissions: BillsAndBatches (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
batchId ID for the batch containing bills for which account charges will be distributed to meters integer (int32) Required

Request Body

DistributeAccountChargesBaseV202104
Property Description Type
splitBasis Determines if account charges should be assigned proportionally based on the usage values of each meter or based on the bill cost from each meter. If not provided, defaults to “Usage”. One of ‘Usage’, ‘Cost’, ‘’ Case sensitive Required (defined) integer (int32)
Example Request Body application/json
{  "splitBasis": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected Required (defined) integer (int32)
updated Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}